//Source file: PAMACEventData.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements to specify the input data for subscribing to agent creations. The event is registered for changes in any agents of the named type. If no agent types are named, then the event is registered for all agent types.
 * 
 */
public final class PAMACEventData implements java.io.Serializable {

    private String[] agentType;

    /**
     * Creates a new PAMACEventData instance.
     */
    public PAMACEventData () {}

    /**
     * Creates a new PAMACEventData instance.
     * @param _agentType   Specifies the type of the agents for which this notification is requested. Can be an empty array if notification required for agents of any type.
     */
    public PAMACEventData (String[] _agentType) {

        this.agentType = _agentType;
    }

    /**
     * This method returns a agentType.
     * 
     * @return a String[] value
     */
    public String[] getAgentType() {
        return agentType;
    }


    /**
     * This method sets a agentType.
     */ 
    public void setAgentType(String[] agentType) {
        this.agentType = agentType;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMACEventData)) {
            return false;
        } 
        PAMACEventData pAMACEventData = (PAMACEventData) o;
        if(!(this.agentType == pAMACEventData.agentType))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMACEventData

