//Source file: PAMAPSNotificationData.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements to specify the data that is provided in the notifications for agent presence set events.
 * 
 */
public final class PAMAPSNotificationData implements java.io.Serializable {

    private String agent;
    private String[] attributeNames;

    /**
     * Creates a new PAMAPSNotificationData instance.
     */
    public PAMAPSNotificationData () {}

    /**
     * Creates a new PAMAPSNotificationData instance.
     * @param _agent   Contains the name of the agent whose capability has changed
     * @param _attributeNames   Contains the attribute names that have changed in value
     */
    public PAMAPSNotificationData (String _agent, String[] _attributeNames) {

        this.agent = _agent;
        this.attributeNames = _attributeNames;
    }

    /**
     * This method returns a agent.
     * 
     * @return a String value
     */
    public String getAgent() {
        return agent;
    }

    /**
     * This method returns a attributeNames.
     * 
     * @return a String[] value
     */
    public String[] getAttributeNames() {
        return attributeNames;
    }


    /**
     * This method sets a agent.
     */ 
    public void setAgent(String agent) {
        this.agent = agent;
    }

    /**
     * This method sets a attributeNames.
     */ 
    public void setAttributeNames(String[] attributeNames) {
        this.attributeNames = attributeNames;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMAPSNotificationData)) {
            return false;
        } 
        PAMAPSNotificationData pAMAPSNotificationData = (PAMAPSNotificationData) o;
        if(!(this.agent == pAMAPSNotificationData.agent))  {
            return false;
        }
        if(!(this.attributeNames == pAMAPSNotificationData.attributeNames))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMAPSNotificationData

