//Source file: PAMCommunicationContext.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements containing the list of attribute values for defining a communication context.
 * 
 */
public final class PAMCommunicationContext implements java.io.Serializable {

    private String communicationCapability;

    /**
     * Creates a new PAMCommunicationContext instance.
     */
    public PAMCommunicationContext () {}

    /**
     * Creates a new PAMCommunicationContext instance.
     * @param _communicationCapability   Specifies the communication type for which the availability is requested 
     */
    public PAMCommunicationContext (String _communicationCapability) {

        this.communicationCapability = _communicationCapability;
    }

    /**
     * This method returns a communicationCapability.
     * 
     * @return a String value
     */
    public String getCommunicationCapability() {
        return communicationCapability;
    }


    /**
     * This method sets a communicationCapability.
     */ 
    public void setCommunicationCapability(String communicationCapability) {
        this.communicationCapability = communicationCapability;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMCommunicationContext)) {
            return false;
        } 
        PAMCommunicationContext pAMCommunicationContext = (PAMCommunicationContext) o;
        if(!(this.communicationCapability == pAMCommunicationContext.communicationCapability))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMCommunicationContext

