//Source file: PAMContextData.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * This is a tagged choice of data elements that specifies the optional data that may be required to define a particular context.
 *
 */
public final class PAMContextData implements java.io.Serializable {

    private PAMContextName _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new PAMContextData.
     * Tagged choice of data elements always have empty constructors
     */ 
    public PAMContextData() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a PAMContextName value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public PAMContextName getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a CommunicationContext
     * 
     * @return  a org.csapi.jr.se.pam.PAMCommunicationContext value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.pam.PAMCommunicationContext getCommunicationContext() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != PAMContextName.PAM_CONTEXT_COMMUNICATION) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.pam.PAMCommunicationContext) _object);
    }

    /**
     * This method sets a CommunicationContext
     * 
     * @param value a org.csapi.jr.se.pam.PAMCommunicationContext value
     */
    public void setCommunicationContext(org.csapi.jr.se.pam.PAMCommunicationContext value) {
        _discriminator = PAMContextName.PAM_CONTEXT_COMMUNICATION;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a PAMContextName value 
     */ 
    public void setUndefined(PAMContextName discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof PAMContextData)) {
            return false;
        } else {
            PAMContextData pAMContextData= (PAMContextData)o;
            if(!(this._object.equals(pAMContextData._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(pAMContextData._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMContextData

