//Source file: PAMErrorInfo.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements to specify the error notification data.
 * 
 */
public final class PAMErrorInfo implements java.io.Serializable {

    private org.csapi.jr.se.pam.PAMErrorCause cause;
    private org.csapi.jr.se.pam.PAMNotificationInfo errorData;

    /**
     * Creates a new PAMErrorInfo instance.
     */
    public PAMErrorInfo () {}

    /**
     * Creates a new PAMErrorInfo instance.
     * @param _cause   Contains information about the reason for the error.
     * @param _errorData   Contains information relevant to each error such as the identity for which the error exists and/or the attributes for which the error exists.
     */
    public PAMErrorInfo (org.csapi.jr.se.pam.PAMErrorCause _cause, org.csapi.jr.se.pam.PAMNotificationInfo _errorData) {

        this.cause = _cause;
        this.errorData = _errorData;
    }

    /**
     * This method returns a cause.
     * 
     * @return a org.csapi.jr.se.pam.PAMErrorCause value
     */
    public org.csapi.jr.se.pam.PAMErrorCause getCause() {
        return cause;
    }

    /**
     * This method returns a errorData.
     * 
     * @return a org.csapi.jr.se.pam.PAMNotificationInfo value
     */
    public org.csapi.jr.se.pam.PAMNotificationInfo getErrorData() {
        return errorData;
    }


    /**
     * This method sets a cause.
     */ 
    public void setCause(org.csapi.jr.se.pam.PAMErrorCause cause) {
        this.cause = cause;
    }

    /**
     * This method sets a errorData.
     */ 
    public void setErrorData(org.csapi.jr.se.pam.PAMNotificationInfo errorData) {
        this.errorData = errorData;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMErrorInfo)) {
            return false;
        } 
        PAMErrorInfo pAMErrorInfo = (PAMErrorInfo) o;
        if ((this.cause != null) && (pAMErrorInfo.cause != null)) {
            if(!(this.cause.equals(pAMErrorInfo.cause))) {
                return false;
            }
        }
        if ((this.errorData != null) && (pAMErrorInfo.errorData != null)) {
            if(!(this.errorData.equals(pAMErrorInfo.errorData))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMErrorInfo

