//Source file: PAMGMCNotificationData.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * This is a Sequence of Data Elements to specify the data that is provided in the notifications for group membership changes.
 * 
 */
public final class PAMGMCNotificationData implements java.io.Serializable {

    private String[] groups;

    /**
     * Creates a new PAMGMCNotificationData instance.
     */
    public PAMGMCNotificationData () {}

    /**
     * Creates a new PAMGMCNotificationData instance.
     * @param _groups   Contains the names of the groups that have been changed.
     */
    public PAMGMCNotificationData (String[] _groups) {

        this.groups = _groups;
    }

    /**
     * This method returns a groups.
     * 
     * @return a String[] value
     */
    public String[] getGroups() {
        return groups;
    }


    /**
     * This method sets a groups.
     */ 
    public void setGroups(String[] groups) {
        this.groups = groups;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof PAMGMCNotificationData)) {
            return false;
        } 
        PAMGMCNotificationData pAMGMCNotificationData = (PAMGMCNotificationData) o;
        if(!(this.groups == pAMGMCNotificationData.groups))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // PAMGMCNotificationData

