//Source file: PamNoCapabilityException.java
//Date: June 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam;

/**
 * Indicates that a supplied capability is not a capability of the requested agent. No attributes are affected
 *
 */
public class PamNoCapabilityException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamNoCapabilityException() {
        super(); 
    }

    public PamNoCapabilityException(String message) {
        super(message); 
    }

    public PamNoCapabilityException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamNoCapabilityException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamNoCapabilityException

