//Source file: ForEvent.java
//Date: June 2004
//Presence and Availabilty Management Interfaces for 3GPP TS 29.198-14 v5.6.0

package org.csapi.jr.se.pam.event;

/**
 * This interface represents a ForEvent activity object.<BR>
 *
 */
public interface ForEvent extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the PAMEventHandler responsible for creation of the ForEvent.
     *
     * @return  A reference to the PAMEventHandler responsible for creation of the ForEvent.
     */
    org.csapi.jr.se.pam.event.PAMEventHandler getPAMEventHandler();

    /**
     * Adds a ForEventListener which is interested in events generated by the ForEvent.
     *
     * @param  forEventListener  A reference to the ForEventListener which is to be added as
     *        a listener.
     */
    void addForEventListener(org.csapi.jr.se.pam.event.ForEventListener forEventListener);

    /**
     * Removes a ForEventListener which is no longer interested events generated by the ForEvent.
     *
     * @param  forEventListener  A reference to the ForEventListener which is to be removed as
     *        a listener.
     */
    void removeForEventListener(org.csapi.jr.se.pam.event.ForEventListener forEventListener);

    /**
     * Invokes the registerForEvent() method on the Parlay Gateway.
     */
    void registerForEvent(
           org.csapi.jr.se.pam.PAMEventInfo[] eventList,
           int                             validFor,
           byte[]                          authToken)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.pam.PamNotRegisteredException,
       org.csapi.jr.se.pam.PamInvalidCredentialException;
}
